%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define name            jlex
%define version         1.2.5
%define release         5jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A Lexical Analyzer Generator for Java
License:        Free
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.cs.princeton.edu/~appel/modern/java/JLex/Archive/1.2.5/Main.java
Source1:        %{name}-%{version}.build.xml.bz2
Patch0:         %{name}-%{version}.static.patch.bz2
URL:            http://www.cs.princeton.edu/~appel/modern/java/JLex/
BuildRequires:  ant
BuildArch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JLex is a Lexical Analyzer Generator for Java

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -T
cp %{SOURCE0} .
%patch0 -p0
bzcat %{SOURCE1} > build.xml

%build
ant

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{javadir}

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue Aug 20 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.5-5jpp
- Use the Xalan/XSLTC version (backwards-compatible with the official one).
- Renamed jar to jlex.jar (was JLex.jar).
- Some spec cleanup.

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.5-4jpp
- fixed source perls

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.5-3jpp
- renamed to %{name}
- section macro
- bzipped additional sources

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 1.2.5-2jpp
- removed JLex build dir

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 1.2.5-1jpp
- first JPackage release
